package com.tytv.twiliovideo;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import javax.annotation.Nonnull;

public class TwilioCallPackage implements ReactPackage {
    @Nonnull
    @Override
    public List<NativeModule> createNativeModules(@Nonnull ReactApplicationContext reactContext) {
        return Collections.emptyList();
    }

    @Nonnull
    @Override
    public List<ViewManager> createViewManagers(@Nonnull ReactApplicationContext reactContext) {
        TwilioRoomViewManager roomViewManager = new TwilioRoomViewManager();
        PreviewManger previewManger = new PreviewManger();
        RemoteViewManager remoteViewManager = new RemoteViewManager();

        return Arrays.asList(
                roomViewManager,
                previewManger,
                remoteViewManager
        );
    }
}
