//
//  callview-manager.swift
//  adamo-sample
//
//  Created by Trần Tý on 8/13/19.
//  Copyright © 2019 Trần Tý. All rights reserved.
//

import Foundation

@objc(CallViewManager)
class CallViewManager: RCTViewManager {
    
    override static func requiresMainQueueSetup() -> Bool {
        return true
    }
    
    override func view() -> UIView! {
        let callView: CallView = CallView()
        return callView
    }
    
    @objc func connectWithOptions(_ node: NSNumber, token: NSString, room: NSString){
        DispatchQueue.main.async {
            let component = self.bridge.uiManager.view(
                forReactTag: node
                ) as! CallView
            
            component.connectWithOptions(token: token as String, room: room as String)
        }
    }
    
    @objc func flipCamera(_ node: NSNumber){
        DispatchQueue.main.async {
            let component = self.bridge.uiManager.view(
                forReactTag: node
                ) as! CallView
            
            component.flipCamera()
        }
    }
    
    
    @objc func disconnect(_ node: NSNumber){
        DispatchQueue.main.async {
            let component = self.bridge.uiManager.view(
                forReactTag: node
                ) as! CallView
           
            component.disconnect()
        }
    }
    
}
