//
//  UIView+Simulate.swift
//  adamo-sample
//
//  Created by Trần Tý on 8/12/19.
//  Copyright © 2019 Trần Tý. All rights reserved.
//

import TwilioVideo
// Helper to determine if we're running on simulator or device
struct PlatformUtils {
    static let isSimulator: Bool = {
        var isSim = false
        #if arch(i386) || arch(x86_64)
        isSim = true
        #endif
        return isSim
    }()
}

class CallPreview: UIView {
    
    var preview: TVIVideoView = TVIVideoView()
    
    required init?(coder aDecoder: NSCoder) {
       fatalError()
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        preview.delegate = self
        
        preview.layer.masksToBounds = true
        preview.layer.cornerRadius = 8

        self.addSubview(preview)
        preview.fixInView(self)
    }

}
extension CallPreview {
    func addRenderer(track: TVILocalVideoTrack){
        track.addRenderer(self.preview)
    }
}
extension CallPreview: TVIVideoViewDelegate {
    func videoView(_ view: TVIVideoView, videoDimensionsDidChange dimensions: CMVideoDimensions) {
        self.setNeedsLayout()
    }
}

