//
//  call-remote-view-manger.swift
//  adamo-sample
//
//  Created by Trần Tý on 8/14/19.
//  Copyright © 2019 Trần Tý. All rights reserved.
//

import Foundation

@objc(CallRemoteViewManager)
class CallRemoteViewManager: RCTViewManager {
    override static func requiresMainQueueSetup() -> Bool {
        return true
    }
    
    override func view() -> UIView! {
        let view: CallRemoteView = CallRemoteView()
        return view
    }
    
    @objc func addRenderer(_ node: NSNumber,identity: NSString, parentNode: NSNumber) {
        
        DispatchQueue.main.async {
            let component = self.bridge.uiManager.view(
                forReactTag: node
                ) as! CallRemoteView
            let parentView = self.bridge.uiManager.view(
                forReactTag: parentNode
                ) as! CallView
            
            component.configureWihtParticipant(identity as String, callRoom: parentView)
        }
    }
}
